package com.engine.kq.service.impl;

import com.engine.core.impl.Service;
import com.engine.kq.cmd.holidaySet.*;
import com.engine.kq.service.KQHolidaySetService;
import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 *
 */
public class KQHolidaySetServiceImpl extends Service implements KQHolidaySetService {

    @Override
    public Map<String, Object> getRightMenu(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetRightMenuCmd(params, user));
    }

    @Override
    public Map<String, Object> getSearchCondition(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetSearchConditionCmd(params, user));
    }

    @Override
    public Map<String, Object> getSearchList(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetSearchListCmd(params, user));
    }

    @Override
    public Map<String, Object> getHolidaySetCalendar(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetHolidaySetCalendarCmd(params, user));
    }

    @Override
    public Map<String, Object> getHolidaySetForm(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetHolidaySetFormCmd(params, user));
    }

    @Override
    public Map<String, Object> addHolidaySet(Map<String, Object> params, User user) {
        return commandExecutor.execute(new AddHolidaySetCmd(params, user));
    }

    @Override
    public Map<String, Object> editHolidaySet(Map<String, Object> params, User user) {
        return commandExecutor.execute(new EditHolidaySetCmd(params, user));
    }

    @Override
    public Map<String, Object> deleteHolidaySet(Map<String, Object> params, User user) {
        return commandExecutor.execute(new DeleteHolidaySetCmd(params, user));
    }

    @Override
    public Map<String, Object> getHolidayCount(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetHolidayCountCmd(params, user));
    }

    @Override
    public Map<String, Object> getImportForm(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetImportFormCmd(params, user));
    }

    @Override
    public Map<String, Object> saveImport(Map<String, Object> params, HttpServletRequest request, User user) {
        return commandExecutor.execute(new SaveImportCmd(params, request, user));
    }

    @Override
    public Map<String, Object> initHolidaySet(Map<String, Object> params, User user) {
        return commandExecutor.execute(new InitHolidaySetCmd(params, user));
    }

    @Override
    public Map<String, Object> hasRepeactData(Map<String, Object> params, User user) {
        return commandExecutor.execute(new HasRepeatDataCmd(params, user));
    }

    @Override
    public Map<String, Object> getSyncForm(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetSyncFormCmd(params, user));
    }

    @Override
    public Map<String, Object> syncHolidaySet(Map<String, Object> params, User user) {
        return commandExecutor.execute(new SyncHolidaySetCmd(params, user));
    }
}
